org.apache.ode.axis2.util

## Class AxisUtils

- java.lang.Object
- - org.apache.ode.axis2.util.AxisUtils

-     public class AxisUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AxisUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `applySecurityPolicy(org.apache.axis2.description.AxisService service, java.lang.String policy_file)`
    `static void` | `configureService(org.apache.axis2.description.AxisService axisService, java.net.URL service_file)`
    `static void` | `configureService(org.apache.axis2.context.ConfigurationContext configCtx, org.apache.axis2.description.AxisService axisService, java.net.URL service_file)` Configure a service instance woth the specified service.xml document.
    `static void` | `engageModules(org.apache.axis2.description.AxisDescription description, java.lang.String... modules)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AxisUtils

          public AxisUtils()

  - ### Method Detail

    - #### configureService

          public static void configureService(org.apache.axis2.description.AxisService axisService,
                                              java.net.URL service_file)
                                       throws java.io.IOException,
                                              javax.xml.stream.XMLStreamException,
                                              org.apache.axis2.AxisFault

      Throws:
        `java.io.IOException`
        `javax.xml.stream.XMLStreamException`
        `org.apache.axis2.AxisFault`

    - #### configureService

          public static void configureService(org.apache.axis2.context.ConfigurationContext configCtx,
                                              org.apache.axis2.description.AxisService axisService,
                                              java.net.URL service_file)
                                       throws java.io.IOException,
                                              javax.xml.stream.XMLStreamException,
                                              org.apache.axis2.AxisFault

      Configure a service instance woth the specified service.xml document. If modules are mentioned in the document, `this` method will make sure they are properly engaged and engage them if necessary. The modules have to be available in the module repository otherwise an AxisFault will be thrown.
      Parameters:
        `axisService` - the service to configure
        `service_file` - the service.xm document to configure the service with
      Throws:
        `java.io.IOException`
        `javax.xml.stream.XMLStreamException`
        `org.apache.axis2.AxisFault` - if a module listed in the service.xml is not available in the module repository

    - #### applySecurityPolicy

          public static void applySecurityPolicy(org.apache.axis2.description.AxisService service,
                                                 java.lang.String policy_file)
                                          throws java.lang.IllegalArgumentException

      Throws:
        `java.lang.IllegalArgumentException`

    - #### engageModules

          public static void engageModules(org.apache.axis2.description.AxisDescription description,
                                           java.lang.String... modules)
                                    throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`